notifications
Unregister a device token
Removes an FCM registration token for the authenticated user, e.g. on logout. Always returns 200, even if the token was already gone.
Body (OpenAPI tooling omits request bodies on DELETE, but the server reads one):
{ "token": "<fcm-registration-token>" }
DELETE
/
api
/
v1
/
notifications
/
devices
Unregister a device token
curl --request DELETE \
--url https://api.example.com/api/v1/notifications/devices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/notifications/devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/notifications/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Device token unregistered",
"data": {}
}⌘I
Unregister a device token
